
_dof6_hal_init:

;6dof_hal.c,108 :: 		void dof6_hal_init ( uint8_t address_id )
;6dof_hal.c,144 :: 		is_idle_i2c_p = I2C1_Is_Idle;
	MOVLW       _I2C1_Is_Idle+0
	MOVWF       6dof_hal_is_idle_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Is_Idle+0)
	MOVWF       6dof_hal_is_idle_i2c_p+1 
	MOVLW       0
	MOVWF       6dof_hal_is_idle_i2c_p+2 
	MOVLW       0
	MOVWF       6dof_hal_is_idle_i2c_p+3 
;6dof_hal.c,145 :: 		start_i2c_p = I2C1_Start;
	MOVLW       _I2C1_Start+0
	MOVWF       6dof_hal_start_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Start+0)
	MOVWF       6dof_hal_start_i2c_p+1 
	MOVLW       0
	MOVWF       6dof_hal_start_i2c_p+2 
	MOVLW       0
	MOVWF       6dof_hal_start_i2c_p+3 
;6dof_hal.c,146 :: 		stop_i2c_p = I2C1_Stop;
	MOVLW       _I2C1_Stop+0
	MOVWF       6dof_hal_stop_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Stop+0)
	MOVWF       6dof_hal_stop_i2c_p+1 
	MOVLW       0
	MOVWF       6dof_hal_stop_i2c_p+2 
	MOVLW       0
	MOVWF       6dof_hal_stop_i2c_p+3 
;6dof_hal.c,147 :: 		restart_i2c_p = I2C1_Repeated_Start;
	MOVLW       _I2C1_Repeated_Start+0
	MOVWF       6dof_hal_restart_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Repeated_Start+0)
	MOVWF       6dof_hal_restart_i2c_p+1 
	MOVLW       0
	MOVWF       6dof_hal_restart_i2c_p+2 
	MOVLW       0
	MOVWF       6dof_hal_restart_i2c_p+3 
;6dof_hal.c,148 :: 		write_i2c_p = I2C1_Wr;
	MOVLW       _I2C1_Wr+0
	MOVWF       6dof_hal_write_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Wr+0)
	MOVWF       6dof_hal_write_i2c_p+1 
	MOVLW       FARG_I2C1_Wr_data_+0
	MOVWF       6dof_hal_write_i2c_p+2 
	MOVLW       hi_addr(FARG_I2C1_Wr_data_+0)
	MOVWF       6dof_hal_write_i2c_p+3 
;6dof_hal.c,149 :: 		read_i2c_p = I2C1_Rd;
	MOVLW       _I2C1_Rd+0
	MOVWF       6dof_hal_read_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Rd+0)
	MOVWF       6dof_hal_read_i2c_p+1 
	MOVLW       FARG_I2C1_Rd_ack+0
	MOVWF       6dof_hal_read_i2c_p+2 
	MOVLW       hi_addr(FARG_I2C1_Rd_ack+0)
	MOVWF       6dof_hal_read_i2c_p+3 
;6dof_hal.c,191 :: 		_i2c_hw_address = ( address_id << 1 );
	MOVF        FARG_dof6_hal_init_address_id+0, 0 
	MOVWF       6dof_hal__i2c_hw_address+0 
	RLCF        6dof_hal__i2c_hw_address+0, 1 
	BCF         6dof_hal__i2c_hw_address+0, 0 
;6dof_hal.c,193 :: 		}
L_end_dof6_hal_init:
	RETURN      0
; end of _dof6_hal_init

_dof6_hal_write:

;6dof_hal.c,197 :: 		uint8_t count )
;6dof_hal.c,200 :: 		uint8_t cmd_size = COMMAND_SIZE;
	MOVLW       1
	MOVWF       dof6_hal_write_cmd_size_L0+0 
	CLRF        dof6_hal_write_i_L0+0 
	CLRF        dof6_hal_write_i_L0+1 
	CLRF        dof6_hal_write_i1_L0+0 
	CLRF        dof6_hal_write_i1_L0+1 
;6dof_hal.c,204 :: 		while( cmd_size-- )
L_dof6_hal_write0:
	MOVF        dof6_hal_write_cmd_size_L0+0, 0 
	MOVWF       R0 
	DECF        dof6_hal_write_cmd_size_L0+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_dof6_hal_write1
;6dof_hal.c,205 :: 		temp[ i++ ] = *( command++ );
	MOVLW       dof6_hal_write_temp_L0+0
	ADDWF       dof6_hal_write_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(dof6_hal_write_temp_L0+0)
	ADDWFC      dof6_hal_write_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVFF       FARG_dof6_hal_write_command+0, FSR0
	MOVFF       FARG_dof6_hal_write_command+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      dof6_hal_write_i_L0+0, 1 
	INCF        dof6_hal_write_i_L0+1, 1 
	INFSNZ      FARG_dof6_hal_write_command+0, 1 
	INCF        FARG_dof6_hal_write_command+1, 1 
	GOTO        L_dof6_hal_write0
L_dof6_hal_write1:
;6dof_hal.c,207 :: 		while ( count-- )
L_dof6_hal_write2:
	MOVF        FARG_dof6_hal_write_count+0, 0 
	MOVWF       R0 
	DECF        FARG_dof6_hal_write_count+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_dof6_hal_write3
;6dof_hal.c,208 :: 		temp[ i++ ] = *( buffer++ );
	MOVLW       dof6_hal_write_temp_L0+0
	ADDWF       dof6_hal_write_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(dof6_hal_write_temp_L0+0)
	ADDWFC      dof6_hal_write_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVFF       FARG_dof6_hal_write_buffer+0, FSR0
	MOVFF       FARG_dof6_hal_write_buffer+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      dof6_hal_write_i_L0+0, 1 
	INCF        dof6_hal_write_i_L0+1, 1 
	INFSNZ      FARG_dof6_hal_write_buffer+0, 1 
	INCF        FARG_dof6_hal_write_buffer+1, 1 
	GOTO        L_dof6_hal_write2
L_dof6_hal_write3:
;6dof_hal.c,243 :: 		start_i2c_p();
	MOVF        6dof_hal_start_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_start_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,244 :: 		write_i2c_p( _i2c_hw_address | WRITE );
	MOVF        6dof_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        6dof_hal__i2c_hw_address+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,246 :: 		while( i-- )
L_dof6_hal_write4:
	MOVF        dof6_hal_write_i_L0+0, 0 
	MOVWF       R0 
	MOVF        dof6_hal_write_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       dof6_hal_write_i_L0+0, 1 
	MOVLW       0
	SUBWFB      dof6_hal_write_i_L0+1, 1 
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_dof6_hal_write5
;6dof_hal.c,247 :: 		write_i2c_p( temp[i1++]  );
	MOVLW       dof6_hal_write_temp_L0+0
	ADDWF       dof6_hal_write_i1_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(dof6_hal_write_temp_L0+0)
	ADDWFC      dof6_hal_write_i1_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        6dof_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	INFSNZ      dof6_hal_write_i1_L0+0, 1 
	INCF        dof6_hal_write_i1_L0+1, 1 
	GOTO        L_dof6_hal_write4
L_dof6_hal_write5:
;6dof_hal.c,249 :: 		stop_i2c_p();
	MOVF        6dof_hal_stop_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_stop_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,251 :: 		}
L_end_dof6_hal_write:
	RETURN      0
; end of _dof6_hal_write

_dof6_hal_read:

;6dof_hal.c,255 :: 		uint8_t count )
;6dof_hal.c,257 :: 		uint8_t cmd_size = COMMAND_SIZE;
	MOVLW       1
	MOVWF       dof6_hal_read_cmd_size_L0+0 
;6dof_hal.c,343 :: 		start_i2c_p();
	MOVF        6dof_hal_start_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_start_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,344 :: 		write_i2c_p( _i2c_hw_address | WRITE );
	MOVF        6dof_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        6dof_hal__i2c_hw_address+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,346 :: 		while ( cmd_size-- )
L_dof6_hal_read6:
	MOVF        dof6_hal_read_cmd_size_L0+0, 0 
	MOVWF       R0 
	DECF        dof6_hal_read_cmd_size_L0+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_dof6_hal_read7
;6dof_hal.c,347 :: 		write_i2c_p( *( command++ ) );
	MOVF        6dof_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVFF       FARG_dof6_hal_read_command+0, FSR0
	MOVFF       FARG_dof6_hal_read_command+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	INFSNZ      FARG_dof6_hal_read_command+0, 1 
	INCF        FARG_dof6_hal_read_command+1, 1 
	GOTO        L_dof6_hal_read6
L_dof6_hal_read7:
;6dof_hal.c,349 :: 		restart_i2c_p();
	MOVF        6dof_hal_restart_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_restart_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,350 :: 		write_i2c_p( _i2c_hw_address | READ );
	MOVLW       1
	IORWF       6dof_hal__i2c_hw_address+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,352 :: 		if( count == 1 )
	MOVF        FARG_dof6_hal_read_count+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_dof6_hal_read8
;6dof_hal.c,354 :: 		*buffer = read_i2c_p( 0 );
	MOVF        6dof_hal_read_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_read_i2c_p+3, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	MOVF        6dof_hal_read_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_read_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	MOVFF       FARG_dof6_hal_read_buffer+0, FSR1
	MOVFF       FARG_dof6_hal_read_buffer+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;6dof_hal.c,356 :: 		} else {
	GOTO        L_dof6_hal_read9
L_dof6_hal_read8:
;6dof_hal.c,358 :: 		while( count > 1 )
L_dof6_hal_read10:
	MOVF        FARG_dof6_hal_read_count+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L_dof6_hal_read11
;6dof_hal.c,360 :: 		*( buffer++ ) = read_i2c_p( 1 );
	MOVF        6dof_hal_read_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_read_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVLW       1
	MOVWF       POSTINC1+0 
	MOVF        6dof_hal_read_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_read_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	MOVFF       FARG_dof6_hal_read_buffer+0, FSR1
	MOVFF       FARG_dof6_hal_read_buffer+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_dof6_hal_read_buffer+0, 1 
	INCF        FARG_dof6_hal_read_buffer+1, 1 
;6dof_hal.c,361 :: 		count--;
	DECF        FARG_dof6_hal_read_count+0, 1 
;6dof_hal.c,362 :: 		}
	GOTO        L_dof6_hal_read10
L_dof6_hal_read11:
;6dof_hal.c,364 :: 		*buffer = read_i2c_p( 0 );
	MOVF        6dof_hal_read_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        6dof_hal_read_i2c_p+3, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	MOVF        6dof_hal_read_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_read_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	MOVFF       FARG_dof6_hal_read_buffer+0, FSR1
	MOVFF       FARG_dof6_hal_read_buffer+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;6dof_hal.c,365 :: 		}
L_dof6_hal_read9:
;6dof_hal.c,366 :: 		stop_i2c_p();
	MOVF        6dof_hal_stop_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        6dof_hal_stop_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;6dof_hal.c,368 :: 		}
L_end_dof6_hal_read:
	RETURN      0
; end of _dof6_hal_read
