#line 1 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
#line 1 "c:/users/viktor/desktop/6dof_imu2/pic/6dof_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 42 "c:/users/viktor/desktop/6dof_imu2/pic/6dof_hal.h"
void dof6_hal_init( uint8_t address_id );
#line 54 "c:/users/viktor/desktop/6dof_imu2/pic/6dof_hal.h"
void dof6_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 67 "c:/users/viktor/desktop/6dof_imu2/pic/6dof_hal.h"
void dof6_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"
#line 21 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
static uint8_t _i2c_hw_address;
#line 56 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
static unsigned char( *is_idle_i2c_p )( void );
static unsigned char( *start_i2c_p )( void );
static void( *stop_i2c_p )( void );
static void( *restart_i2c_p )( void );
static unsigned char( *write_i2c_p )( unsigned char data_out );
static unsigned char( *read_i2c_p )( unsigned char ack );
#line 108 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
void dof6_hal_init ( uint8_t address_id )
{
#line 144 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
 is_idle_i2c_p = I2C1_Is_Idle;
 start_i2c_p = I2C1_Start;
 stop_i2c_p = I2C1_Stop;
 restart_i2c_p = I2C1_Repeated_Start;
 write_i2c_p = I2C1_Wr;
 read_i2c_p = I2C1_Rd;
#line 191 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
 _i2c_hw_address = ( address_id << 1 );

}

void dof6_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count )
{
 uint8_t temp[  256  ];
 uint8_t cmd_size =  1 ;
 uint16_t i = 0;
 uint16_t i1 = 0;

 while( cmd_size-- )
 temp[ i++ ] = *( command++ );

 while ( count-- )
 temp[ i++ ] = *( buffer++ );
#line 243 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
 start_i2c_p();
 write_i2c_p( _i2c_hw_address |  0  );

 while( i-- )
 write_i2c_p( temp[i1++] );

 stop_i2c_p();

}

void dof6_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count )
{
 uint8_t cmd_size =  1 ;
#line 343 "C:/Users/Viktor/Desktop/6dof_imu2/PIC/6dof_hal.c"
 start_i2c_p();
 write_i2c_p( _i2c_hw_address |  0  );

 while ( cmd_size-- )
 write_i2c_p( *( command++ ) );

 restart_i2c_p();
 write_i2c_p( _i2c_hw_address |  1  );

 if( count == 1 )
 {
 *buffer = read_i2c_p( 0 );

 } else {

 while( count > 1 )
 {
 *( buffer++ ) = read_i2c_p( 1 );
 count--;
 }

 *buffer = read_i2c_p( 0 );
 }
 stop_i2c_p();

}
