#include "6dof_hal.h"
#include "6dof_hw.h"


uint8_t txt1[20];
float acc_x,acc_y,acc_z,gyro_x,gyro_y,gyro_z;


void display_data()
{

      acc_x=dof6_get_acc_x();
      acc_y=dof6_get_acc_y();
      acc_z=dof6_get_acc_z();
      gyro_x=dof6_get_gyr_x();
      gyro_y=dof6_get_gyr_y();
      gyro_z=dof6_get_gyr_z();

      sprintf(txt1, "%.2f", acc_x);
      Uart1_Write_Text("acc x: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");

      sprintf(txt1, "%.2f", acc_y);
      Uart1_Write_Text("acc y: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");

      sprintf(txt1, "%.2f", acc_z);
      Uart1_Write_Text("acc z: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");

      sprintf(txt1, "%.2f", gyro_x);
      Uart1_Write_Text("gyro x: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");

      sprintf(txt1, "%.2f", gyro_y);
      Uart1_Write_Text("gyro y: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");

      sprintf(txt1, "%.2f", gyro_z);
      Uart1_Write_Text("gyro z: ");
      Uart1_Write_Text(txt1);
      Uart1_Write_Text("\r\n");
      Uart1_Write_Text("\r\n");
}

void main()
{
        ANSELC = 0;
         
        Uart1_Init(9600);
        Uart1_Write_Text("Uart init \r\n");

        I2C1_Init(100000);
        delay_ms(300);

        dof6_hal_init(BMI160_I2C_ADDRESS );
        dof6_sensor_config(accel_normal , gyro_normal);

        while (1)

        {
            display_data();
            delay_ms(500);
        }

}